Bug 474497 - KMS broken after updating to xorg-x11-drv-ati-6.9.0-59
KMS broken after updating to xorg-x11-drv-ati-6.9.0-59
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 21:45 EST by Souiri Mohamed Zakaria
Modified: 2009-12-18 02:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (78.51 KB, text/plain)
2008-12-04 19:08 EST, Souiri Mohamed Zakaria
no flags Details
xorg.conf (1.09 KB, text/plain)
2008-12-04 19:10 EST, Souiri Mohamed Zakaria
no flags Details

  None (edit)
Description Souiri Mohamed Zakaria 2008-12-03 21:45:21 EST
Description of problem:
KMS broken after updating to xorg-x11-drv-ati-6.9.0-59
the glitches between  plymouth and kdm came back after the update

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-59
How reproducible:
everytime 
Steps to Reproduce:
1.update the drive drivcr 
2. reboot the machine 
3.
Actual results:
the glitches between  plymouth and kdm
Expected results:
smouth switching from plymouth to kdm
Additional info:
Comment 1 Matěj Cepl 2008-12-04 17:31:48 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Souiri Mohamed Zakaria 2008-12-04 19:08:29 EST
Created attachment 325763 [details]
Xorg.0.log
Comment 3 Souiri Mohamed Zakaria 2008-12-04 19:10:43 EST
Created attachment 325764 [details]
xorg.conf
Comment 4 Dave Airlie 2008-12-08 22:38:03 EST
-59 wasn't ever meant to go out, please see if -61 fixes the issue.
Comment 5 Souiri Mohamed Zakaria 2008-12-14 07:19:53 EST
after installing xorg-x11-drv-ati-6.9.0-61.fc10.i386 the issue still remains
Comment 6 François Cami 2009-02-07 08:19:24 EST
Souri,
Is this fixed in current F10 ?
If not, could you try the xorg-x11-drv-ati build at http://koji.fedoraproject.org/koji/buildinfo?buildID=80819 and report ?
Thank you
Comment 7 Souiri Mohamed Zakaria 2009-02-16 05:31:52 EST
The problem is still accurying for each version of the driver up to 6.10.0-2, but i've observed that a part of the problem has been fixed actually the  same problem seemed to accur when doing fast user switching or login off from a x11 session, but since 6.10.0-1 this part of the problem has been, and i've also observed that the time length of the glitches  has reduce by a factor of 2.
Comment 8 Souiri Mohamed Zakaria 2009-02-16 05:32:57 EST
The problem is still accurying for each version of the driver up to 6.10.0-2, but i've observed that a part of the problem has been fixed actually the  same problem seemed to accur when doing fast user switching or login off from a x11 session, but since 6.10.0-1 this part of the problem has been, and i've also observed that the time length of the glitches  has reduce by a factor of 2.
Comment 9 Bug Zapper 2009-11-18 05:18:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:08:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.